<!-- Copyright (C) Perinet -->
<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />

    <title>Load and Sensors</title>

    <link rel="stylesheet" type="text/css" href="static/css/base.css" />
    <link rel="stylesheet" type="text/css" href="static/css/framing.css" />
    <link rel="stylesheet" type="text/css" href="static/css/home.css" />
    <link rel="stylesheet" type="text/css" href="static/css/style.css" />
    <link rel="stylesheet" type="text/css" href="static/css/switches.css" />
    <link rel="stylesheet" type="text/css" href="static/css/help-tip.css" />
    <link rel="stylesheet" type="text/css" href="static/css/keyframes.css" />
    <link rel="stylesheet" type="text/css" href="static/css/information-text.css" />
    <link rel=icon type="image/png" href=/favicon.ico>
    <script type="text/javaScript" src="static/js/jquery-3.6.0.min.js"></script>
    <script type="text/javaScript" src="static/js/cert_decoder.js"></script>
    <script type="text/javaScript" src="static/js/security.js"></script>
    <script type="text/javaScript">

        var cached_brokers = [];
        var cached_modbus_servers = [];

        // Initialize index.html -> called@onload
        function init() {
            init_security(true);
            get_rest("/node/config", get_config_callback);
        }

        function get_rest(url, success_callback, error_callback) {
            var http = new XMLHttpRequest();
            http.open( "GET", url);
            http.send();
            http.onreadystatechange = function() {
                if(this.readyState == 4) {
                    if(this.status == 200) {
                        success_callback(http.responseText);
                    }
                    else {
                        if(error_callback === undefined) {
                            alert(http.responseText);
                        }
                        else {
                            error_callback();
                        }
                    }
                }
            }
        }

        function patch_json_rest(url, payload_json, callback) {
            var http = new XMLHttpRequest();
            http.open("PATCH", url);
            http.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
            http.send(JSON.stringify(payload_json));
            http.onreadystatechange = function(){
                if(this.readyState == 4) {
                    callback(http);
                }
            }
        }

        function get_config_callback(data) {
            var config = JSON.parse(data);
            document.getElementById("element_name").value = config["element_name"];
            document.getElementById("application_name").value = config["application_name"];
        }

        function configure() {
            var config = {};
            config["element_name"] = document.getElementById("element_name").value;
            config["application_name"] = document.getElementById("application_name").value;
            patch_json_rest("/node/config", config, function(http){check_error_patch(http, "Super");});
        }
        </script>
</head>

<body onload=init()>
    <div class="headercontainer">
        <!--Metanav-->
        <div class="meta">
            <div class="left" style="line-height: 24px;font-weight: bold;">Load and Sensors</div>
            <div class="middle"></div>
            <div class="right"><span></span></div>
        </div>
        <!--END Metanav-->

        <div class="header" id="header_cnt">
            <div class="headerlogo"><img src="static/images/logo_perinet.png" width="258" height="94" alt="" /></div>
        </div>
    </div>

    <!--Content-->
    <div id="content">
        <div id="inner_content">
            <div class="contentinput" style="padding-bottom: 50px;">
                <div class="inputitem" style="margin-bottom: 100px;">
                    <section>
                        <div class="contentline_single gap10_20" style="margin-top:50px"></div>
                        <div class="contentinput" style="margin-bottom: 20px;">
                            <h2>Application name and Element name</h2>
                            <table style="padding-left:60px">
                                <tr>
                                    <td colspan="2" class="left"></td>
                                </tr>

                                <tr>
                                    <td class="left">Application name:</td>
                                    <td class="input">
                                        <input style="margin-left:55px;width:497px;" type="text" id="application_name"
                                            placeholder="application_name"></input>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="left">Element name:</td>
                                    <td class="input">
                                        <input style="margin-left:55px;width:315px;" type="text" id="element_name"
                                            placeholder="element_name"></input>
                                        <input type="submit" class="submit_bt enabled short nextto" enabled
                                            onclick="configure()" value="Configure"/>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" class="left"></td>
                                </tr>
                            </table>
                        </div>
                        <div class="contentline_single gap10_20" style="margin-top:50px"></div>
                        <div class="contentinput" style="margin-bottom: 20px;">
                            <h2>Security configuration</h2>
                            <table id="security_table" align="left">
                            </table>
                        </div>
                    </section>
                </div>
            </div>


            <!--Footer-->
            <br>
            <div class="footer">
                <div>
                    <div style="float:left;width:140px;text-align:left;font-weight:bold;">periMICA</div>
                    <div style="float:left;width:780px;text-align:right;"><span></span></div>
                </div>
            </div>

        </div>
    </div>

</body>

</html>
